"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const testing_1 = require("../../testing");
const group_1 = __importDefault(require("../group"));
beforeEach(() => {
    (0, testing_1.cleanTest)();
});
test('Should be extends properties from others', async () => {
    let anyElement;
    const group = testing_1.ElementTest.create(group_1.default);
    group.on('item/created', (elem, props) => {
        if (props.id !== 'anyElement')
            return;
        anyElement = elem;
    });
    await group.init([
        {
            echo: {
                '->': 'temp1',
                ignore: true,
                title: 'My title 1'
            }
        },
        {
            echo: {
                '->': 'temp2',
                ignore: true,
                des: 'My des 2'
            }
        },
        {
            any: {
                id: 'anyElement',
                '<-': ['temp1', 'temp2']
            }
        }
    ]);
    await group.exec();
    expect(anyElement.title).toBe('My title 1');
    expect(anyElement.des).toBe('My des 2');
});
//# sourceMappingURL=any.spec.js.map