import { Element } from '../../components/element.interface';
import { Logger } from '../../libs/logger';
import { HeadProps } from './head.props';
import { HttpError } from './http-error';
import { Response } from './types';
export declare class Head<T extends HeadProps> implements Element {
    method: string;
    title?: string;
    baseURL?: string;
    url: string;
    headers: any;
    query?: any;
    response: Response;
    vars?: string | object;
    executionTime: number;
    error?: HttpError;
    logger: Logger;
    protected get fullURL(): string;
    protected get fullURLQuery(): string;
    init(props: T): Promise<void>;
    dispose(): Promise<void>;
    exec(): Promise<any>;
    send(): Promise<Response>;
    protected applyVar(): void;
    protected checkEmpty(vl: any): any;
    protected setHeader(key: string, value: any): void;
    protected getResponseHeader(rs: Response): unknown;
    protected prehandleResponseHeaders(): void;
    protected prehandleResponseData(): void;
    protected prehandleHeaders(): void;
    protected prehandleQuery(): void;
}
