"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProgressBar = void 0;
const chalk_1 = __importDefault(require("chalk"));
const spinnies_1 = __importDefault(require("spinnies"));
class ProgressBar {
    txt;
    indent;
    static spinnies = new spinnies_1.default({
        color: 'yellow',
        spinner: {
            interval: 80,
            frames: [
                chalk_1.default.yellow("←"),
                chalk_1.default.yellow("↖"),
                chalk_1.default.yellow("↑"),
                chalk_1.default.yellow("↗"),
                chalk_1.default.yellow("→"),
                chalk_1.default.yellow("↘"),
                chalk_1.default.yellow("↓"),
                chalk_1.default.yellow("↙")
            ]
        }
    });
    name;
    constructor(txt, indent) {
        this.txt = txt;
        this.indent = indent;
        this.name = Math.random().toString();
    }
    start() {
        return this.name && ProgressBar.spinnies.add(this.name, { text: this.txt, indent: this.indent });
    }
    update(txt) {
        this.name && ProgressBar.spinnies.update(this.name, { text: txt });
    }
    stop() {
        return this.name && ProgressBar.spinnies.remove(this.name);
    }
    destroy() {
        return this.name && ProgressBar.spinnies.stopAll();
    }
    passed(txt) {
        return this.name && ProgressBar.spinnies.succeed(this.name, { text: txt || this.txt });
    }
    failed(txt) {
        return this.name && ProgressBar.spinnies.fail(this.name, { text: txt || this.txt });
    }
}
exports.ProgressBar = ProgressBar;
//# sourceMappingURL=progress-bar.js.map